Bug 188965 - [PATCH] japanese/ja-py-mecab: stage
Summary: [PATCH] japanese/ja-py-mecab: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-24 15:40 UTC by Bartek Rutkowski
Modified: 2014-04-26 21:50 UTC (History)
1 user (show)

See Also:


Attachments
ja-py-mecab-0.996.patch (589 bytes, patch)
2014-04-24 15:40 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-24 15:40:01 UTC
- Stage
- Fix LIB_DEPENDS

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/ja-py27-mecab/0.996/

Port maintainer (jun-g@daemonfreaks.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-24 15:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-24 15:40:11 UTC
Maintainer of japanese/py-mecab,

Please note that PR ports/188965 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188965

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-24 15:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-04-26 21:45:54 UTC
Author: swills
Date: Sat Apr 26 20:45:51 2014
New Revision: 352369
URL: http://svnweb.freebsd.org/changeset/ports/352369
QAT: https://qat.redports.org/buildarchive/r352369/

Log:
  - Stage
  - Use new LIB_DEPENDS format
  
  PR:		ports/188965
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr@ (blanket)

Modified:
  head/japanese/py-mecab/Makefile

Modified: head/japanese/py-mecab/Makefile
==============================================================================
--- head/japanese/py-mecab/Makefile	Sat Apr 26 20:42:24 2014	(r352368)
+++ head/japanese/py-mecab/Makefile	Sat Apr 26 20:45:51 2014	(r352369)
@@ -14,13 +14,12 @@ LICENSE=	BSD GPLv2 LGPL21
 LICENSE_COMB=	dual
 
 BUILD_DEPENDS=	swig:${PORTSDIR}/devel/swig13
-LIB_DEPENDS=	mecab:${PORTSDIR}/japanese/mecab
+LIB_DEPENDS=	libmecab.so:${PORTSDIR}/japanese/mecab
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=yes
 PYDISTUTILS_EGGINFO=	${PORTNAME}_python-${PKGVERSION}-${PYTHON_VERSION:S/thon//}.egg-info
 
-NO_STAGE=	yes
 pre-patch:
 	@${REINPLACE_CMD} -e 's|cmd1("mecab-config --version")|"${PKGVERSION}"|' \
 		${WRKSRC}/setup.py
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2014-04-26 21:45:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!